BRepBuilderAPI_MakeWire - manually select vertex

Passing TopAbs_VERTEX to ActivateStandardMode of the ais context, it's possible to select vertices which are part of a wire which is created using BRepBuilderAPI_MakeWire / BRepBuilderAPI_MakeVertex / BRepBuilderAPI_MakeEdge.

However, i cannot figure how to programmaticaly select one or more vertices of this wire.

AIS_InteractiveContext provides a method SetSelected but this expects a Handle(AIS_InteractiveObject) but the only handle i have is the one of the BRepBuilderAPI_MakeWire::Shape(...).

Either the AIS_Shape of the vertices get created under the hood there or created on the fly by the hight level selection helper which is somewhere behind the AIS_InteractiveContext::MoveTo(...) method.

Can someone give me a hint about how to do that or how AIS_InteractiveContext::MoveTo does it?

Forum supervisor's picture

Dear Lion,

Please share general context and some additional info about your application and recent questions.

You can initiate our efficient collaboration and communicate via Contact Form to exchange information about our services and expertise and needs of your company projects.

Best regards,

Forum supervisor

Lion G.'s picture

Hello. Thanks for the reply. I cannot (yet?) share too much of what we're planning to do. I had a look at the diverse offerings, particularly the E-Learning/Fundamentals, the OCCT Training/Fundamentals, the support programs and their technology consulting option and can say that I'm considering buying a la carte points because the fundamentals don't seem to cover much of what I need to implement this application (which is a port of an old, console based application which really needs some face lifting), and I don't think the application framework would be the right thing for me as is seems to abstract too much away and I'm more interested in the core technologies and like to build application level features like undo/redo and persistence of project data myself.

However, my experience is that for me it's more efficient to first bang my head against the library walls to build up a feeling about the inner workings, especially when it's such a huge and long grown piece like occ. Maybe this will also change my mind about the fundamentals training but for the moment, there's progress and I'm building up many questions which I'd like to ask as effective and informed as possible to not waste a la carte points for trivial questions.